daemon daemon/oidentd {
	need = system/initial system/mountroot;
	require_network;
	script daemon = {
		PATH=/sbin:/bin:/usr/sbin:/usr/bin
		#OIDENTD=/usr/sbin/oidentd

		# See if the daemons are there
		test -f /usr/sbin/oidentd || exit 0

		# oidentd configuration
		OIDENT_OPTIONS=""
		OIDENT_USER="nobody"
		OIDENT_GROUP="nogroup"
		test -f /etc/default/oidentd && . /etc/default/oidentd

		if [ "${OIDENT_BEHIND_PROXY}" = "yes" ]; then
		  # If we have a default router, then allow it to proxy auth requests to us
		  GATEWAY=`netstat -nr | awk '/^0.0.0.0/{print $2;}'`
		 if [ -n "${GATEWAY}" ]; then
 		   OIDENT_OPTIONS="${OIDENT_OPTIONS} -P ${GATEWAY}"
 		 fi
		fi
 

		OPTIONS="${OIDENT_OPTIONS} -u ${OIDENT_USER} -g ${OIDENT_GROUP}"


		
		
		exec /usr/sbin/oidentd -i ${OPTIONS}
};
}
