service daemon/postgres/initdb {
    need = system/initial system/mountfs net/lo;
    script start = {
		# I'm not sure about this location
		# DK: i'm sure. (system: gentoo)
		DATA="/var/lib/postgresql/data"
	if [ ! -f $DATA/PG_VERSION ]
	then
		if [ ! -d $DATA ]
		then
			mkdir -p $DATA
			chown postgres.postgres $DATA
			chmod go-rwx $DATA
		fi
		# Initialize the database
		su - postgres -c "/usr/bin/initdb --pgdata=$DATA > /dev/null 2>&1" < /dev/null

		exec test -f $DATA/PG_VERSION ]
		# here was some output
	};

	script stop = {
	};
}

service daemon/postgres {
    need = system/initial system/mountfs net/lo;
    use = daemon/postgres/initdb;
    require_network;
    suid = postgres;
    sgid = postgres;
    exec start = /usr/bin/pg_ctl;
    exec_args start = -D/var/lib/postgresql/data -p /usr/bin/postmaster -o -p5432 start;
    exec stop = /usr/bin/pg_ctl;
    exec_args stop = -D/var/lib/postgresql/data/ -s -m fast stop;
	respawn = yes;
}
