service system/clock {
	need = system/initial;
	
	script start = {
    if [ -e /etc/default/rcS ]; then
        . /etc/default/rcS
   else
	echo "clock is unset!"
	exit 0
    fi
    
    setupopts() {
	if /bin/grep -q ' cobd$' /proc/devices ; then
		TBLURB="coLinux"
		return 0
        elif [ "$UTC" = "yes" ] ; then
                myopts="--utc"
		TBLURB="UTC"
	else
		myopts="--localtime"
		TBLURB="Local Time"
	fi

	if [ "${readonly}" = "yes" ] ; then
		myadj="--noadjfile"
	else
		myadj="--adjust"
	fi

	if [ "${SRM}" = "yes" ] || [ "$SRM" = "true" ] ; then
		myopts="${myopts} --srm"
	fi
	if [ "${ARC}" = "arc" ]  || [ "$ARC" = "true" ] ; then
		myopts="${myopts} --arc"
	fi
	myopts="${myopts} ${CLOCK_OPTS}"

	# Make sure user isn't using rc.conf anymore.
	if /bin/grep -qs ^CLOCK= /etc/rc.conf ; then
		echo "CLOCK should not be set in /etc/rc.conf but in /etc/conf.d/clock"
	fi
    }

	myopts=""
	myadj=""
	TBLURB=""
	errstr=""
	readonly="no"
	ret=0

	if ! touch /etc/adjtime 2>/dev/null ; then
		readonly="yes"
	elif [ ! -s /etc/adjtime ] ; then
		echo "0.0 0 0.0" > /etc/adjtime
	fi

	setupopts

	echo "Setting system clock to hardware clock [${TBLURB}] ..."
	if [ "${TBLURB}" = "UML" ] || [ "${TBLURB}" = "coLinux" ] ; then
		ret=0

	elif [ -x /sbin/hwclock ] ; then
		# Since hwclock always exit's with a 0, need to check its output.
		errstr=$(/sbin/hwclock ${myadj} ${myopts} 2>&1 >/dev/null)
		errstr="${errstr}$(/sbin/hwclock --hctosys ${myopts} 2>&1 >/dev/null)"

		if [ -n "${errstr}" ] ; then
			echo "${errstr}"
			ret=1
		else
			ret=0
		fi
		errstr="Failed to set system clock to hardware clock"
	else
		ret=1
		errstr="/sbin/hwclock not found"
	fi
};

    script stop = {
    if [ -e /etc/default/rcS ]; then
        . /etc/default/rcS
    else
	echo "clock is unset!"
	exit 0
    fi

    setupopts() {
	if /bin/grep -q ' cobd$' /proc/devices ; then
		TBLURB="coLinux"
		return 0
        elif [ "$UTC" = "yes" ] ; then
		myopts="--utc"
		TBLURB="UTC"
	else
		myopts="--localtime"
		TBLURB="Local Time"
	fi

	if [ "${readonly}" = "yes" ] ; then
		myadj="--noadjfile"
	else
		myadj="--adjust"
	fi

	if [ "${SRM}" = "yes" ] || [ "$SRM" = "true" ] ; then
		myopts="${myopts} --srm"
	fi
	if [ "${ARC}" = "arc" ] || [ "$ARC" = "true" ] ; then
		myopts="${myopts} --arc"
	fi
	myopts="${myopts} ${CLOCK_OPTS}"

	# Make sure user isn't using rc.conf anymore.
	if /bin/grep -qs ^CLOCK= /etc/rc.conf ; then
		echo "CLOCK should not be set in /etc/rc.conf but in /etc/conf.d/clock"
	fi
    }
	# Don't tweak the hardware clock on LiveCD halt.
	#[ -n ${CDBOOT} ] && return 0

	#[ ${CLOCK_SYSTOHC} != "yes" ] && return 0

	ret=0

	setupopts

	echo "Syncing system clock to hardware clock [${TBLURB}] ..."
	if [ "${CLOCK}" = "UML" ] ; then
		ret=0
	
	elif [ -x /sbin/hwclock ] ; then
		errstr=$(/sbin/hwclock --systohc ${myopts} 2>&1 >/dev/null)

		if [ -n "${errstr}" ] ; then
			ret=1
		else
			ret=0
		fi
		errstr="Failed to sync clocks"
	else
		ret=1
		errstr="/sbin/hwclock not found"
	fi
	exit $ret
};
}
