
class system/coldplug/class {
	need = system/initial;
	use = system/static-modules;
	exec start = /etc/hotplug/${NAME}.rc;
	exec_args start = start;
	exec stop = /etc/hotplug/${NAME}.rc;
	exec_args stop = stop;
	# don't start two coldplug probes at once (because of the massive bash work in coldplug, static-modules does not have this)
	syncron = coldplug;
}

service system/coldplug/pci : system/coldplug/class {
}

service system/coldplug/usb : system/coldplug/class {
	need = system/coldplug/pci;
}

service system/coldplug/scsi : system/coldplug/class {
	need = system/coldplug/pci;
}

service system/coldplug/input : system/coldplug/class {
	need = system/coldplug/pci;
	use = system/coldplug/isapnp;
}

service system/coldplug/ide : system/coldplug/class {
	need = system/coldplug/pci;
}

service system/coldplug/isapnp : system/coldplug/class {
}
	
service system/coldplug {
	need = system/initial system/mountroot system/coldplug/pci system/coldplug/usb system/coldplug/isapnp system/coldplug/input system/coldplug/ide system/coldplug/scsi;
	also_stop = system/initial system/mountroot system/coldplug/pci system/coldplug/usb system/coldplug/isapnp system/coldplug/input system/coldplug/ide system/coldplug/scsi;
	use = system/static-modules;
	script start = {
		#needed to make /dev/input/mice for X
		if [ -e /sys/class/input/mice/dev ]; then
		    /bin/mkdir -p /dev/input
		    /bin/mknod /dev/input/mice c 13 63 &>/dev/null
		fi
	
		exit 0
	};
}
