
service system/hostname {
	need = system/initial;
	script start = {
	if [ -e /etc/conf.d/hostname ]; then
	    . /etc/conf.d/hostname
	elif [ -f /etc/sysconfig/network ]; then
	    . /etc/sysconfig/network
	fi
	
	myhost=$(/bin/hostname 2>/dev/null)
	retval=0
	
	# If the hostname is already set via the kernel, and /etc/hostname 
	# isn't setup, then we shouldn't go reseting the configuration #38172.
	if [ -z "${myhost}" ] || [ "${myhost}" = "(none)" ] ; then
		myhost="localhost"
	fi
	
	if [ -f /etc/hostname ] ; then
		#echo "You should stop using /etc/hostname and use /etc/conf.d/hostname"
		myhost=$(/bin/cat /etc/hostname)
	else
		myhost=${HOSTNAME}
	fi
	
	echo "Setting hostname to ${myhost} ..."
	/bin/hostname "${myhost}"
	retval=$?
	
	if [ "${retval}" -eq 0 ] ; then
		# setup $HOSTNAME, ignore errors in case /etc is readonly.
		echo "HOSTNAME=\"${myhost}\"" 2>/dev/null >/etc/env.d/01hostname
	fi

	exit ${retval}
    };
}
