
service system/netmount {
	need = system/initial system/mountfs daemon/portmap;
	require_network;

	script start = {
# Mount local filesystems in /etc/fstab.
echo "Mounting network filesystems ..."
/bin/mount -aFt afs,cifs,coda,ncpfs,nfs,nfs4,smbfs
if [ "${?}" -ne 0 ]; then
    echo "Mounting failed, trying to mount network filesystems again ..."
    /bin/mount -at afs,cifs,coda,ncpfs,nfs,nfs4,smbfs
    exit $?
fi
exit 0
	};


    script stop = {
# Mount local filesystems in /etc/fstab.
echo "Unmounting network filesystems ..."
/bin/umount -at afs,cifs,coda,ncpfs,nfs,nfs4,smbfs
if [ "${?}" -ne 0 ]; then
    echo "Unmounting failed, trying to unmount network filesystems again ..."
    /bin/umount -aft afs,cifs,coda,ncpfs,nfs,nfs4,smbfs
    exit $?
fi
exit 0
	};
}
