
service system/pcmcia {
    need = system/initial system/modules;
    #use = system/static-modules system/coldplug;
    
    script start = {
#!/bin/bash
if [ -e /etc/conf.d/pcmcia ]; then
    source /etc/conf.d/pcmcia
fi

cleanup()
{
	while read SN CLASS MOD INST DEV EXTRA ; do
		if [ "x${SN}" != "xSocket" ] ; then
			/etc/pcmcia/${CLASS} stop ${DEV} 2> /dev/null
		fi
	done
}

# Scheme is set for the /etc/pcmcia/shared script
if [ -n "${SCHEME}" ] ; then umask 022 ; echo $SCHEME > /var/run/pcmcia-scheme
else umask 022 ; touch /var/run/pcmcia-scheme
fi

# clean up any old interfaces
if [ -r /var/run/stab ] ; then
	/bin/cat /var/run/stab | cleanup
fi

# if /var/lib/pcmcia exists (and sometimes it gets created accidentally
# if you run pcmcia-cs apps w/out the proper flags), then it will really
# confuse the process
if [ -d /var/lib/pcmcia ] ; then
	/bin/rm -rf /var/lib/pcmcia
fi

if [ -e /proc/bus/pccard ]; then
	echo "PCMCIA support detected ..."
else
	echo "Trying to load pcmcia modules, should have been loaded with coldplug/pci or static-modules ..."
	/sbin/modprobe pcmcia_core $CORE_OPTS
	if [ -n "${PCIC}" ]; then
		/sbin/modprobe $PCIC $PCIC_OPTS || {
			echo "'modprobe ${PCIC}' failed"
			echo "Trying alternative PCIC driver: ${PCIC_ALT}"
			/sbin/modprobe $PCIC_ALT $PCIC_ALT_OPTS
		}
	fi
	/sbin/modprobe ds
fi

};

}
