
service system/serial {
	need = system/initial system/mountroot;
	
script start = {
#!/bin/bash
moduleinserted() {
	local res=$(/bin/grep 'serial' /proc/modules | /usr/bin/awk '{ print $1;}')
	[ "${res}" = "serial" ] && return 1
}

#if serial module exists, and it's not inserted, insert it permanently
if [ -f "/lib/modules/$(/bin/uname -r)/misc/serial.o" ] ; then
    moduleinserted
	if [ "$?" -eq 0 ] ; then
	    /sbin/modprobe serial 1>&2
	fi
fi

if [ -e /etc/serial.conf ] ; then
    /bin/grep -v "^#\|^ \|^$" /etc/serial.conf | while read device args
    do
	echo "Setting $device to $args ..."
	/bin/setserial -b $device $args 1>&2
	if [ "$?" -gt 0 ] ; then
	    echo "Error setting serial port $device $args"
	    no_errs=0
	else
	    done="${done} /dev/$1"
	fi
    done
fi
}

}

