#TODO: Test if we have sarted with fb before starting splashy
service system/splashy {
    need = system/initial;
	script start = {
		test -x /sbin/splashy || exit 0

		spl_pidfile="/etc/splashy/splashy.pid"
		spl_fifo="/etc/splashy/splashy.fifo"
		if [ -r "/etc/default/splashy" ]; then
		   . /etc/default/splashy
		else
			echo "WARN: Missing /etc/default/splashy. Falling back to defaults $spl_fifo $spl_pidfile"
		fi

		if [ -r "/etc/init.d/splashy-functions.sh" ]; then
			. /etc/init.d/splashy-functions.sh
		else
			echo "WARN: Missing /etc/init.d/splashy-functions.sh. Progressbar will not function correctly"
		fi

		SPL_MSG="Starting $NAME boot sequence"

		/sbin/start-stop-daemon --start --quiet --pidfile $spl_pidfile \
		--exec /sbin/splashy -- boot 2> /dev/null

		/usr/sbin/ngc -S "splashy,boot"
	};

#the stop script is called on shutdown
#it will start splashy again to show the "shutdown complete" progress bar
	script stop = {
		test -x /sbin/splashy || exit 0

		spl_pidfile="/etc/splashy/splashy.pid"
		spl_fifo="/etc/splashy/splashy.fifo"
		if [ -r "/etc/default/splashy" ]; then
		   . /etc/default/splashy
		else
			echo "WARN: Missing /etc/default/splashy. Falling back to defaults $spl_fifo $spl_pidfile"
		fi

		if [ -r "/etc/init.d/splashy-functions.sh" ]; then
			. /etc/init.d/splashy-functions.sh
		else
			echo "WARN: Missing /etc/init.d/splashy-functions.sh. Progressbar will not function correctly"
		fi

		SPL_MSG="Starting $NAME shutdown sequence"

		/sbin/start-stop-daemon --start --quiet --pidfile $spl_pidfile \
		--exec $DAEMON -- boot 2> /dev/null

		exec /usr/sbin/ngc -S "splashy,shutdown"
	};
}

service system/splashy/chvt {
	script start = {
		x_vt=""
		for ((i=0;i<10;i++))
		do
			x_vt=$(ps -C X -o args= |sed 's/.* vt\([0-9]*\).*/\1/g')
			[ ! -z "${x_vt}" ] && break
			sleep .2
		done
		[ "${x_vt}" -gt 0 ] 2> /dev/null
		[ "$?" -gt 0 ] && exit 0
		exec /usr/bin/chvt ${x_vt}
	}
	#script stop = {
		#if [ -r "/etc/default/splashy" ]; then
			#. /etc/default/splashy
		#else
			#echo "WARN: Missing /etc/default/splashy. Falling back to defaults $spl_fifo $spl_pidfile"
		#fi
		#splashy_cmd_send "exit"
		exec #/usr/sbin/ngc -S "splashy,shutdown"
	#} 
}
